summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/cryptography')
-rw-r--r--dev-python/cryptography/Manifest9
-rw-r--r--dev-python/cryptography/cryptography-0.5.4.ebuild36
-rw-r--r--dev-python/cryptography/cryptography-0.6.1.ebuild42
-rw-r--r--dev-python/cryptography/cryptography-0.7.1-r1.ebuild40
-rw-r--r--dev-python/cryptography/cryptography-0.7.2.ebuild38
-rw-r--r--dev-python/cryptography/cryptography-0.8.1.ebuild38
-rw-r--r--dev-python/cryptography/cryptography-0.8.2.ebuild39
-rw-r--r--dev-python/cryptography/cryptography-0.8.ebuild38
-rw-r--r--dev-python/cryptography/cryptography-0.9.2.ebuild43
-rw-r--r--dev-python/cryptography/cryptography-0.9.3.ebuild43
-rw-r--r--dev-python/cryptography/files/0.7-setup.patch22
-rw-r--r--dev-python/cryptography/metadata.xml9
12 files changed, 397 insertions, 0 deletions
diff --git a/dev-python/cryptography/Manifest b/dev-python/cryptography/Manifest
new file mode 100644
index 00000000000..791702e67d0
--- /dev/null
+++ b/dev-python/cryptography/Manifest
@@ -0,0 +1,9 @@
+DIST cryptography-0.5.4.tar.gz 320104 SHA256 5675999f3744cbc32a60cb0bba64de21405abced32ce19655212612262dd270d SHA512 bdfaed6271e21d8b5cef4e8d0cdb7fd4bfb5b607c0f14c7b33888301f9922035f337120c3252d2df16f1844129d4b18dd97abe566bccc18c829faa752af2b4a7 WHIRLPOOL 5522d40bef251b5005e17fa2f43c4f015a7422c2aa9a09cfed8f84365506a1c8d9a97d956d97a3130a46aa7a0d0e90258f9c365ffb196ad0df2be4f6548e3b10
+DIST cryptography-0.6.1.tar.gz 236721 SHA256 024910130a01eda0ce969764d893d2e397168ebb94181ca1ea3e23e19912329e SHA512 b99338bbbeb70f37e0bfcc6ef33ddff5beb74f7876a30d34deb3a433ddd77f821e5cc5dde228f792362ae7a261d4ceb3b702fb1a8c30ce15a1e6e4de98ef1afa WHIRLPOOL a641342fe13f584ee657aa917172810117416cd426746af30499e43174041c8031598c223398dace1ad1385e3905a27c9f6e5ac5def88a8b87e2ed3bfd95b9ce
+DIST cryptography-0.7.1.tar.gz 247309 SHA256 9ee59090b242ad0d6abcedebb9ab54358d5efd1a45706195f6e5928f7725bb76 SHA512 ae552fcb8005c98ded32b47edf61d4bf2b495c63b9ac744545d3d1ada7f6f64b1b23a5d9f396bf2a998fcc58370307c893f324806e0c825b9c63fe78698bdc4b WHIRLPOOL dfdb3ff90291c7f3dca3835532608b742c9768311b204bb4a41c62ed6d4ed48b812898a482d86ced10887daebe2b57b1451df51f297f9a19a7ce80a05446f938
+DIST cryptography-0.7.2.tar.gz 247477 SHA256 fab7fcdde360ec6614442d0321dcd0eff5e43544cb30d975e9d75a914a4cdf78 SHA512 5afc8e01ffcdbd829716e65663cca91ad7ec42f5b65f64f6f1d3189c5cb7a209dcd67698225e1bb54eb6428fa5abdd25405a7ae1d234d5194697d3b879483226 WHIRLPOOL a5ed7d6f9e9f51d9a41e1014968ccada84b13b5e6f80ad14278edb1eacbf7abf4ed5009b942845840ba84b50b4dd4bcd2c41032444e3452fd42c669babdcdbed
+DIST cryptography-0.8.1.tar.gz 268240 SHA256 f4e041bc83c1be94d87116a7aa201c378b7c6581be4d83994b2da0a84499f73b SHA512 84b32ca493f31efe00a4c18104dfcba4d1f6de0698f1606057b1473ae2217448a319d62c1b872955639129bdf5f69d2e7fcdf5b7ef9b0ecc0cd98c92f224f557 WHIRLPOOL c0fb0a1948fdc2f03127184d1dd16b5b97338953c6ab8c08c568df45cfec15d307797bb71a612667f4c856b6630fad6bd02d24df4d602c73e39b2b10f554f165
+DIST cryptography-0.8.2.tar.gz 268288 SHA256 1c9a022ab3decaf152093e2ef2d5ee4258c72c7d429446c86bd68ff8c0929db6 SHA512 8a76e325387284facdaa381c27fd8ca3c2e7e4c6dfe41bf6eccdfdc4004f8a5bd8a95f0ff6537dd012f5c7fcec5f86d96fe86a64ec15d63e4bf673d8461a8225 WHIRLPOOL bbee1a538daf9fffcdd87f132e678505f2c92def5e00a3c139c68cfc1a91308546705954d9d546696a9f50cb750ddc9e60fe42bbcdc48516c7e06662b7f715a7
+DIST cryptography-0.8.tar.gz 268083 SHA256 e54601e4dec2b8acb90f5ed3b93d23d280964adbefe1723ac82acc453a694480 SHA512 e17d2d31f1d6da782eb3531ca9dded14e137ddc61893ef17a8238997274a85e77e8a957e1eec3ed3960675694f97750ca1f6821a2e8d974795bca3b2be49e196 WHIRLPOOL ecef7a807934006ce2266ba0636a9a8b5bd30a49931ba9c83dabbd1bd6b47523dd3d32205d1ac4f94f2a8bfe4c1b23ac36fcddf4092d9e756beda74379dfc7dd
+DIST cryptography-0.9.2.tar.gz 302972 SHA256 bc9ddd1442ce67a5bbd5598eced127de000da55f0ce25498b1174746c0290b3c SHA512 3d13f0284d484911b1f7067966f3727de9019d24af379b1adb1e0377888680b9385792e481888d2b357bce20f250a948c22b34743b4aeb955d736e8ae9ca88da WHIRLPOOL 0832bfdaff40e89750d92ffd5298be5c39fc1b4606ee7f769a68fb469e9e2175837f1b3f660f774a793538e050f2081fd69201f882a5bd77713e1bacd3115370
+DIST cryptography-0.9.3.tar.gz 303075 SHA256 aed022f738dd9adb840d92960b0464ea1fbb222ba118938858eb93fe25151c2d SHA512 828dd6d3af940c91f77b9bcefb34ca9cc3ac05606d707889ff35bf708c3536414db46f8db7d7dcbffe2ad1f82834bc9edab1b28b05fee3f2a5f9f5a56abd697c WHIRLPOOL 33eb42741cf2426ffe16d50d0f555fee65637d812f9510016ceb708f9c591f38de2d65e4b4118f744ff9b73596727160501ec5d077bfe0935d088586909b979d
diff --git a/dev-python/cryptography/cryptography-0.5.4.ebuild b/dev-python/cryptography/cryptography-0.5.4.ebuild
new file mode 100644
index 00000000000..6db7161de38
--- /dev/null
+++ b/dev-python/cryptography/cryptography-0.5.4.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Library providing cryptographic recipes and primitives"
+HOMEPAGE="https://github.com/pyca/cryptography/ https://pypi.python.org/pypi/cryptography/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc ~ppc64 ~x86 ~x86-fbsd"
+IUSE="test"
+
+RDEPEND="dev-libs/openssl:0
+ >=dev-python/six-1.4.1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '>=dev-python/cffi-0.8:=[${PYTHON_USEDEP}]' 'python*')"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ =dev-python/cryptography-vectors-${PV}[${PYTHON_USEDEP}]
+ dev-python/iso8601[${PYTHON_USEDEP}]
+ dev-python/pretend[${PYTHON_USEDEP}]
+ dev-python/pyasn1[${PYTHON_USEDEP}]
+ >=dev-python/pytest-2.4.2[${PYTHON_USEDEP}]
+ )"
+
+DOCS=( AUTHORS.rst CONTRIBUTING.rst README.rst )
+
+python_test() {
+ py.test -v || die "Tests fail with ${EPYTHON}"
+}
diff --git a/dev-python/cryptography/cryptography-0.6.1.ebuild b/dev-python/cryptography/cryptography-0.6.1.ebuild
new file mode 100644
index 00000000000..d9397589514
--- /dev/null
+++ b/dev-python/cryptography/cryptography-0.6.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Library providing cryptographic recipes and primitives"
+HOMEPAGE="https://github.com/pyca/cryptography/ https://pypi.python.org/pypi/cryptography/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="alpha amd64 arm arm64 hppa ia64 m68k ~mips ~ppc ppc ppc64 s390 sh sparc x86 ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris"
+IUSE="test"
+
+RDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-libs/openssl:0
+ >=dev-python/six-1.4.1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '>=dev-python/cffi-0.8:=[${PYTHON_USEDEP}]' 'python*')
+"
+DEPEND="${RDEPEND}
+ test? (
+ ~dev-python/cryptography-vectors-${PV}[${PYTHON_USEDEP}]
+ dev-python/iso8601[${PYTHON_USEDEP}]
+ dev-python/pretend[${PYTHON_USEDEP}]
+ dev-python/pyasn1[${PYTHON_USEDEP}]
+ >=dev-python/pytest-2.4.2[${PYTHON_USEDEP}]
+ )
+"
+
+DOCS=( AUTHORS.rst CONTRIBUTING.rst README.rst )
+
+# Restricted until cffi fixes its compile on import issues
+RESTRICT="test"
+
+python_test() {
+ py.test -v || die "Tests fail with ${EPYTHON}"
+}
diff --git a/dev-python/cryptography/cryptography-0.7.1-r1.ebuild b/dev-python/cryptography/cryptography-0.7.1-r1.ebuild
new file mode 100644
index 00000000000..400af40eb90
--- /dev/null
+++ b/dev-python/cryptography/cryptography-0.7.1-r1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Library providing cryptographic recipes and primitives"
+HOMEPAGE="https://github.com/pyca/cryptography/ https://pypi.python.org/pypi/cryptography/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="|| ( Apache-2.0 BSD )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~x86 ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris"
+IUSE="test"
+
+RDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-libs/openssl:0
+ >=dev-python/six-1.4.1[${PYTHON_USEDEP}]
+ dev-python/pyasn1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '>=dev-python/cffi-0.8:=[${PYTHON_USEDEP}]' 'python*')
+ $(python_gen_cond_dep 'dev-python/enum34[${PYTHON_USEDEP}]' python2_7 python3_3 pypy)"
+DEPEND="${RDEPEND}
+ test? (
+ ~dev-python/cryptography-vectors-${PV}[${PYTHON_USEDEP}]
+ dev-python/iso8601[${PYTHON_USEDEP}]
+ dev-python/pretend[${PYTHON_USEDEP}]
+ >=dev-python/pytest-2.4.2[${PYTHON_USEDEP}]
+ )"
+
+DOCS=( AUTHORS.rst CONTRIBUTING.rst README.rst )
+
+PATCHES=( "${FILESDIR}"/0.7-setup.patch )
+
+python_test() {
+ py.test -v || die "Tests fail with ${EPYTHON}"
+}
diff --git a/dev-python/cryptography/cryptography-0.7.2.ebuild b/dev-python/cryptography/cryptography-0.7.2.ebuild
new file mode 100644
index 00000000000..937062f6ecd
--- /dev/null
+++ b/dev-python/cryptography/cryptography-0.7.2.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Library providing cryptographic recipes and primitives"
+HOMEPAGE="https://github.com/pyca/cryptography/ https://pypi.python.org/pypi/cryptography/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="|| ( Apache-2.0 BSD )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~x86 ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris"
+IUSE="test"
+
+RDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-libs/openssl:0
+ >=dev-python/six-1.4.1[${PYTHON_USEDEP}]
+ dev-python/pyasn1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '>=dev-python/cffi-0.8:=[${PYTHON_USEDEP}]' 'python*')
+ $(python_gen_cond_dep 'dev-python/enum34[${PYTHON_USEDEP}]' python2_7 python3_3 pypy)"
+DEPEND="${RDEPEND}
+ test? (
+ ~dev-python/cryptography-vectors-${PV}[${PYTHON_USEDEP}]
+ dev-python/iso8601[${PYTHON_USEDEP}]
+ dev-python/pretend[${PYTHON_USEDEP}]
+ >=dev-python/pytest-2.4.2[${PYTHON_USEDEP}]
+ )"
+
+DOCS=( AUTHORS.rst CONTRIBUTING.rst README.rst )
+
+python_test() {
+ py.test -v || die "Tests fail with ${EPYTHON}"
+}
diff --git a/dev-python/cryptography/cryptography-0.8.1.ebuild b/dev-python/cryptography/cryptography-0.8.1.ebuild
new file mode 100644
index 00000000000..542f08c9891
--- /dev/null
+++ b/dev-python/cryptography/cryptography-0.8.1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Library providing cryptographic recipes and primitives"
+HOMEPAGE="https://github.com/pyca/cryptography/ https://pypi.python.org/pypi/cryptography/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="|| ( Apache-2.0 BSD )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~x86 ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris"
+IUSE="test"
+
+RDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-libs/openssl:0
+ >=dev-python/six-1.4.1[${PYTHON_USEDEP}]
+ dev-python/pyasn1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '>=dev-python/cffi-0.8:=[${PYTHON_USEDEP}]' 'python*')
+ $(python_gen_cond_dep 'dev-python/enum34[${PYTHON_USEDEP}]' python2_7 python3_3 pypy)"
+DEPEND="${RDEPEND}
+ test? (
+ ~dev-python/cryptography-vectors-${PV}[${PYTHON_USEDEP}]
+ dev-python/iso8601[${PYTHON_USEDEP}]
+ dev-python/pretend[${PYTHON_USEDEP}]
+ >=dev-python/pytest-2.4.2[${PYTHON_USEDEP}]
+ )"
+
+DOCS=( AUTHORS.rst CONTRIBUTING.rst README.rst )
+
+python_test() {
+ py.test -v || die "Tests fail with ${EPYTHON}"
+}
diff --git a/dev-python/cryptography/cryptography-0.8.2.ebuild b/dev-python/cryptography/cryptography-0.8.2.ebuild
new file mode 100644
index 00000000000..10f2391fd4b
--- /dev/null
+++ b/dev-python/cryptography/cryptography-0.8.2.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Library providing cryptographic recipes and primitives"
+HOMEPAGE="https://github.com/pyca/cryptography/ https://pypi.python.org/pypi/cryptography/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="|| ( Apache-2.0 BSD )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~x86 ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris"
+IUSE="test"
+
+RDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-libs/openssl:0
+ >=dev-python/six-1.4.1[${PYTHON_USEDEP}]
+ dev-python/pyasn1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '>=dev-python/cffi-0.8:=[${PYTHON_USEDEP}]' 'python*')
+ $(python_gen_cond_dep 'dev-python/enum34[${PYTHON_USEDEP}]' python2_7 python3_3 pypy)"
+DEPEND="${RDEPEND}
+ test? (
+ ~dev-python/cryptography-vectors-${PV}[${PYTHON_USEDEP}]
+ dev-python/iso8601[${PYTHON_USEDEP}]
+ dev-python/pretend[${PYTHON_USEDEP}]
+ >=dev-python/pytest-2.4.2[${PYTHON_USEDEP}]
+ )"
+
+DOCS=( AUTHORS.rst CONTRIBUTING.rst README.rst )
+
+python_test() {
+ py.test -v || die "Tests fail with ${EPYTHON}"
+}
diff --git a/dev-python/cryptography/cryptography-0.8.ebuild b/dev-python/cryptography/cryptography-0.8.ebuild
new file mode 100644
index 00000000000..937062f6ecd
--- /dev/null
+++ b/dev-python/cryptography/cryptography-0.8.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Library providing cryptographic recipes and primitives"
+HOMEPAGE="https://github.com/pyca/cryptography/ https://pypi.python.org/pypi/cryptography/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="|| ( Apache-2.0 BSD )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~x86 ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris"
+IUSE="test"
+
+RDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-libs/openssl:0
+ >=dev-python/six-1.4.1[${PYTHON_USEDEP}]
+ dev-python/pyasn1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '>=dev-python/cffi-0.8:=[${PYTHON_USEDEP}]' 'python*')
+ $(python_gen_cond_dep 'dev-python/enum34[${PYTHON_USEDEP}]' python2_7 python3_3 pypy)"
+DEPEND="${RDEPEND}
+ test? (
+ ~dev-python/cryptography-vectors-${PV}[${PYTHON_USEDEP}]
+ dev-python/iso8601[${PYTHON_USEDEP}]
+ dev-python/pretend[${PYTHON_USEDEP}]
+ >=dev-python/pytest-2.4.2[${PYTHON_USEDEP}]
+ )"
+
+DOCS=( AUTHORS.rst CONTRIBUTING.rst README.rst )
+
+python_test() {
+ py.test -v || die "Tests fail with ${EPYTHON}"
+}
diff --git a/dev-python/cryptography/cryptography-0.9.2.ebuild b/dev-python/cryptography/cryptography-0.9.2.ebuild
new file mode 100644
index 00000000000..6083bbc57fe
--- /dev/null
+++ b/dev-python/cryptography/cryptography-0.9.2.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Library providing cryptographic recipes and primitives"
+HOMEPAGE="https://github.com/pyca/cryptography/ https://pypi.python.org/pypi/cryptography/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="|| ( Apache-2.0 BSD )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="
+ dev-libs/openssl:0
+ $(python_gen_cond_dep '>=dev-python/cffi-0.8:=[${PYTHON_USEDEP}]' 'python*')
+ $(python_gen_cond_dep 'dev-python/enum34[${PYTHON_USEDEP}]' python2_7 python3_3 pypy)
+ dev-python/idna[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep 'dev-python/ipaddress[${PYTHON_USEDEP}]' python2_7 pypy)
+ dev-python/pyasn1[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/six-1.4.1[${PYTHON_USEDEP}]
+ "
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ ~dev-python/cryptography-vectors-${PV}[${PYTHON_USEDEP}]
+ dev-python/iso8601[${PYTHON_USEDEP}]
+ dev-python/pretend[${PYTHON_USEDEP}]
+ >=dev-python/pytest-2.4.2[${PYTHON_USEDEP}]
+ )"
+
+DOCS=( AUTHORS.rst CONTRIBUTING.rst README.rst )
+
+python_test() {
+ py.test -v || die "Tests fail with ${EPYTHON}"
+}
diff --git a/dev-python/cryptography/cryptography-0.9.3.ebuild b/dev-python/cryptography/cryptography-0.9.3.ebuild
new file mode 100644
index 00000000000..6083bbc57fe
--- /dev/null
+++ b/dev-python/cryptography/cryptography-0.9.3.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Library providing cryptographic recipes and primitives"
+HOMEPAGE="https://github.com/pyca/cryptography/ https://pypi.python.org/pypi/cryptography/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="|| ( Apache-2.0 BSD )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="
+ dev-libs/openssl:0
+ $(python_gen_cond_dep '>=dev-python/cffi-0.8:=[${PYTHON_USEDEP}]' 'python*')
+ $(python_gen_cond_dep 'dev-python/enum34[${PYTHON_USEDEP}]' python2_7 python3_3 pypy)
+ dev-python/idna[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep 'dev-python/ipaddress[${PYTHON_USEDEP}]' python2_7 pypy)
+ dev-python/pyasn1[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/six-1.4.1[${PYTHON_USEDEP}]
+ "
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ ~dev-python/cryptography-vectors-${PV}[${PYTHON_USEDEP}]
+ dev-python/iso8601[${PYTHON_USEDEP}]
+ dev-python/pretend[${PYTHON_USEDEP}]
+ >=dev-python/pytest-2.4.2[${PYTHON_USEDEP}]
+ )"
+
+DOCS=( AUTHORS.rst CONTRIBUTING.rst README.rst )
+
+python_test() {
+ py.test -v || die "Tests fail with ${EPYTHON}"
+}
diff --git a/dev-python/cryptography/files/0.7-setup.patch b/dev-python/cryptography/files/0.7-setup.patch
new file mode 100644
index 00000000000..db5cc0239c7
--- /dev/null
+++ b/dev-python/cryptography/files/0.7-setup.patch
@@ -0,0 +1,22 @@
+https://github.com/pyca/cryptography/commit/5bea5ca0233be05e09d8c62fdeae86187e73a48e
+diff --git a/setup.py b/setup.py
+index ead5ec4..32a87ba 100644
+--- a/setup.py
++++ b/setup.py
+@@ -36,12 +36,14 @@
+
+ requirements = [
+ CFFI_DEPENDENCY,
+- "enum34",
+ "pyasn1",
+ SIX_DEPENDENCY,
+ SETUPTOOLS_DEPENDENCY
+ ]
+
++if sys.version_info < (3, 4):
++ requirements.append("enum34")
++
+ # If you add a new dep here you probably need to add it in the tox.ini as well
+ test_requirements = [
+ "pytest",
+
diff --git a/dev-python/cryptography/metadata.xml b/dev-python/cryptography/metadata.xml
new file mode 100644
index 00000000000..f215972e68f
--- /dev/null
+++ b/dev-python/cryptography/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>python</herd>
+ <upstream>
+ <remote-id type="pypi">cryptography</remote-id>
+ <remote-id type="github">pyca/cryptography</remote-id>
+ </upstream>
+</pkgmetadata>